#include<bits/stdc++.h>
using namespace std ;

int main() {
    int n ;
    cin >> n ;
    vector<int> sever ;
    vector<int> jug ;
    for (int i = 0 ; i < n ; i++) {
        int a ;
        cin >> a ;
        if (a > 0) {
            sever.push_back(a) ;
        }
        else {
            jug.push_back(a) ;
        }
    }
    sort(sever.begin(),sever.end()) ;
    sort(jug.begin(),jug.end(),greater<int>()) ;
    int x = 0 ;
    string kon = "" ;
    int pozicija = 0 ;
    int ubijeni = 0 ;
    while (sever.size() != 0 or jug.size() != 0) {
        if (ubijeni == n) {
            break ;
        }
        if (x == 10e6) {
            break ;
        }
        if (sever.size() == 0) {
            if (kon.size() != 0 && kon[kon.size()-1] == '2') {
                pozicija++ ;
                kon += '3' ;
            }
            else {
                kon += '2' ;
                jug.erase(jug.begin()) ;
            }
            x++ ;
            continue ;
        }
        if (jug.size() == 0) {
            if (kon.size() != 0 && kon[kon.size()-1] == '1') {
                kon += '2' ;
            }
            else {
                kon += '1' ;
                sever.erase(sever.begin()) ;
            }
            x++ ;
            continue ;
        }
        if (sever[0] <= abs(jug[0])) {
            if (kon.size() != 0 && kon[kon.size()-1] == '1') {
                kon += '2' ;
                jug.erase(jug.begin()) ;
            }
            else {
                kon += '1' ;
                sever.erase(sever.begin()) ;
            }
            x++ ;
        }
        else {
            if (kon.size() != 0 && kon[kon.size()-1] == '2') {
                if (sever[0]-abs(jug[0]) >= 2) {
                    kon += "3" ;
                    pozicija++ ;
                }
                else {
                    kon += "1" ;
                    sever.erase(sever.begin()) ;
                }
            }
            else {
                kon += "2" ;
                jug.erase(jug.begin()) ;
            }
            x++ ;
        }
    }
    cout << x << endl ;
    cout << kon ;
    return 0 ;
}